Create a Global IP health check
Create a Global IP health check.
POST
/
global_ip_health_checks
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const globalIPHealthCheck = await client.globalIPHealthChecks.create();
console.log(globalIPHealthCheck.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
global_ip_health_check = client.global_ip_health_checks.create()
print(global_ip_health_check.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
globalIPHealthCheck, err := client.GlobalIPHealthChecks.New(context.TODO(), telnyx.GlobalIPHealthCheckNewParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", globalIPHealthCheck.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.globaliphealthchecks.GlobalIpHealthCheckCreateParams;
import com.telnyx.sdk.models.globaliphealthchecks.GlobalIpHealthCheckCreateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
GlobalIpHealthCheckCreateResponse globalIpHealthCheck = client.globalIpHealthChecks().create();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
global_ip_health_check = telnyx.global_ip_health_checks.create
puts(global_ip_health_check)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$globalIPHealthCheck = $client->globalIPHealthChecks->create(
globalIPID: 'a836125b-20b6-452e-9c03-2653f09c7ed7',
healthCheckParams: ['path' => 'bar', 'port' => 'bar'],
healthCheckType: 'http_status_2xx',
);
var_dump($globalIPHealthCheck);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx global-ip-health-checks create \
--api-key 'My API Key'curl --request POST \
--url https://api.telnyx.com/v2/global_ip_health_checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"health_check_type": "http_status_2xx",
"health_check_params": {
"path": "/",
"port": 8080
},
"global_ip_id": "a836125b-20b6-452e-9c03-2653f09c7ed7"
}
'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "global_ip_health_check",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"health_check_type": "http_status_2xx",
"health_check_params": {
"path": "/",
"port": 8080
},
"global_ip_id": "a836125b-20b6-452e-9c03-2653f09c7ed7"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const globalIPHealthCheck = await client.globalIPHealthChecks.create();
console.log(globalIPHealthCheck.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
global_ip_health_check = client.global_ip_health_checks.create()
print(global_ip_health_check.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
globalIPHealthCheck, err := client.GlobalIPHealthChecks.New(context.TODO(), telnyx.GlobalIPHealthCheckNewParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", globalIPHealthCheck.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.globaliphealthchecks.GlobalIpHealthCheckCreateParams;
import com.telnyx.sdk.models.globaliphealthchecks.GlobalIpHealthCheckCreateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
GlobalIpHealthCheckCreateResponse globalIpHealthCheck = client.globalIpHealthChecks().create();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
global_ip_health_check = telnyx.global_ip_health_checks.create
puts(global_ip_health_check)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$globalIPHealthCheck = $client->globalIPHealthChecks->create(
globalIPID: 'a836125b-20b6-452e-9c03-2653f09c7ed7',
healthCheckParams: ['path' => 'bar', 'port' => 'bar'],
healthCheckType: 'http_status_2xx',
);
var_dump($globalIPHealthCheck);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx global-ip-health-checks create \
--api-key 'My API Key'curl --request POST \
--url https://api.telnyx.com/v2/global_ip_health_checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"health_check_type": "http_status_2xx",
"health_check_params": {
"path": "/",
"port": 8080
},
"global_ip_id": "a836125b-20b6-452e-9c03-2653f09c7ed7"
}
'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "global_ip_health_check",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"health_check_type": "http_status_2xx",
"health_check_params": {
"path": "/",
"port": 8080
},
"global_ip_id": "a836125b-20b6-452e-9c03-2653f09c7ed7"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}